<!DOCTYPE html>
<html>
    <head>
        <style> .focused { outline: 1px solid red; } </style>
    </head>
    <body>
        <form id="form">
            <input type="text" id='in'>
            <input type="text" name="name" value="Name">
            <input type="text" name="surname" value="Surname">
        </form>
        <script>
            let in1=document.getElementById('in')
            in1.addEventListener('blur',handler1)
            function handler1()
            {
                in1.value=in1.value.toUpperCase()
            }
            in1.addEventListener('focus',handler2)
            form.addEventListener("focusin", () => form.classList.add('focused'));
            form.addEventListener("focusout", () => form.classList.remove('focused'));
</script>
        </script>
    </body>
</html>